﻿# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

define dialogue = Character(
    None,

    window_background = "gui/dialoguebox.png",

    who_outlines = [(3, "#FF6C03", 0, 0)],
    who_color="#FFD200",
    who_bold = True,
    who_xalign=0.5,
    who_textalign=0.5,

    what_color = "#000000",
    what_xmaximum = 950,
    what_xalign=0.5,
    what_textalign=0.5,
    what_layout='subtitle')

define thoughts = Character(
    None,

    window_background = "gui/thoughtbox.png",

    who_outlines = [(3, "#FF6C03", 0, 0)],
    who_color="#FFD200",
    who_bold = True,
    who_xalign=0.5,
    who_textalign=0.5,

    what_color = "#FFFFFF",
    what_xmaximum = 950,
    what_xalign=0.5,
    what_textalign=0.5,
    what_layout='subtitle')

define narrator = Character(None, what_color = "#000000", what_outlines=[( 0, "#A3A3A3", 2, 2 )])
define black_screen = Character(None, what_color = "#FFFFFF", what_outlines=[( 0, "#808080", 2, 2 )])
define name_only = Character(None, kind = dialogue)


define e = Character("Eileen", kind = dialogue)
define e_int = Character("Eileen", kind = thoughts)

define m = Character("Mom", kind = dialogue)


# The game starts here.

label start:

    # Show a background. This uses a placeholder by default, but you can
    # add a file (named either "bg room.png" or "bg room.jpg") to the
    # images directory to show it.

    scene bg room

    # This shows a character sprite. A placeholder is used, but you can
    # replace it by adding a file named "eileen happy.png" to the images
    # directory.

    show eileen happy

    # These display lines of dialogue.

    e "You've created a new Ren'Py game."

    e "Once you add a story, pictures, and music, you can release it to the world!"
    
    "The air is cold, carrying the strong smell of pine, which I've always associated with home."
    
    "This is a test. I need to see how the game deals with very long dialogue and narration. Currently, I have dialogue centered and it should be shorter than the narration, which is unlimited. But unless I know exactly where it will make the cut for dialogue, I can't make a dialogue box. Thus, I need to know how it deals with long text like this."
    
    e "This is a test. I need to see how the game deals with very long dialogue and narration. Currently, I have dialogue centered and it should be shorter than the narration, which is unlimited. But unless I know exactly where it will make the cut for dialogue, I can't make a dialogue box. Thus, I need to know how it deals with long text like this."
    
    "I step out into the crisp snow, pulling my hood down to get a better view."
    
    "It has been so long since I last saw this familiar landscape, smelled this familiar forest."
    
    e_int "(I'm glad we were able to make it before the roads snowed in.)"
    
    "A member of the caravan I have been traveling with jogs up to me."
    
    "Trader" "Aeth! Will you be joining us in town?"
    
    e "No. I'd like to greet my mother first, so I'll be taking a shortcut through the forest."
    
    "The trader smiles at me, but it seems somewhat strained."
    
    "Trader" "I guess this is where we part ways then."
    
    "Trader" "You've been of such great help these past few years. I want you to know you're always welcome back if... things change."
    
    "That isn't possible, but I appreciate the gesture. I have been worried the caravan members resented me."
    
    e "Thank you for your generosity. I hope your trip back to Harvest City goes safely."
    
    "Trader" "Aye. And you, too. I hope you're able to settle back in quickly."
    
    "I make my rounds one last time, checking in on a few sick and injured travelers and saying a short farewell."

    "The sun is barely creeping out from behind the horizon when I reach my mother's house."
    
    "I heave open the heavy oak door and announce myself."
    
    "The room is dimly lit, and I hear a shuffling sound coming from the back."
    
    "My mother scrambles forward, looking disheveled."
    
    m "Aeth-- What are you doing back this time of year?"
    
    "I think I see the shadow of another person back there..."
    
    e_int "(Oops. I must have interrupted. Sorry, Mom.)"
    
    e "I started missing home, so I came back early."
    
    e "Would it be okay for me to stay over for a bit?"
    
    e "I plan on seeing Master Elaine tomorrow to see if she needs help around the shop."
    
    "She stares at me, a bit too hard, before replying."
    
    m "Of course! You're always welcome."
    
    m "You've been traveling for so long, it will be good to have you around again."
    
    "A wry grin spreads across her face."
    
    m "Master Elaine has been so busy since Mikael started his own shop, I'm sure she'll work you to the bone."
    
    m "Alright, don't just stand in the doorway, bring your things in! You must be exhausted."
    
    "I dump my bag onto the floor and start preparing for dinner."

    # This ends the game.

    return
